Package org.gradle.api.tasks.scala

# Class ScalaCompileOptions

java.lang.Object
org.gradle.language.scala.tasks.BaseScalaCompileOptions
org.gradle.api.tasks.scala.ScalaCompileOptions

All Implemented Interfaces:
  `Serializable`

public abstract class ScalaCompileOptions extends BaseScalaCompileOptions
Options for Scala Compilation.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScalaCompileOptions()`

- ## Method Summary

  ### Methods inherited from class org.gradle.language.scala.tasks.BaseScalaCompileOptions

  `forkOptions, getAdditionalParameters, getDebugLevel, getEncoding, getForkOptions, getIncrementalOptions, getKeepAliveMode, getLoggingLevel, getLoggingPhases, getObjectFactory, incrementalOptions, isDeprecation, isFailOnError, isForce, isListFiles, isOptimize, isUnchecked, setAdditionalParameters, setDebugLevel, setDeprecation, setEncoding, setFailOnError, setForce, setListFiles, setLoggingLevel, setLoggingPhases, setOptimize, setUnchecked`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScalaCompileOptions

    public ScalaCompileOptions()